=== docs/example-linking-make/Makefile ===
CSM_FLAGS=`pkg-config --libs --cflags csm`

myprogram: myprogram.c
	gcc $(CSM_FLAGS) -o myprogram myprogram.c
