=== sm/pkg-config/CMakeLists.txt ===
CONFIGURE_FILE(csm.pc.in ${CMAKE_CURRENT_SOURCE_DIR}/csm.pc @ONLY)

INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/csm.pc
	DESTINATION lib/pkgconfig)
