=== sm/lib/gpc/CMakeLists.txt ===

SET(gpc_sources
	gpc.c
	gpc_utils.c
)

ADD_LIBRARY(gpc STATIC  ${gpc_sources})
