=== debian/changelog ===
ros-kinetic-csm (1.0.2-1xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Sun, 12 Mar 2017 15:20:09 -0000
