=== debian/control ===
Source: ros-kinetic-csm
Section: misc
Priority: extra
Maintainer: Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>
Build-Depends: debhelper (>= 9.0.0), cmake, libgsl-dev
Homepage: http://censi.mit.edu/software/csm
Standards-Version: 3.9.2

Package: ros-kinetic-csm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgsl-dev, ros-kinetic-catkin
Description: This is a ROS 3rd-party wrapper (see REP-136 for more detail) of Andrea Censi's CSM package.
 From the official website: The C(anonical) Scan Matcher (CSM) is a pure C implementation of a very fast variation of ICP using a point-to-line metric optimized for range-finder scan matching. It is robust enough to be used in industrial prototypes of autonomous mobile robotics, for example at Kuka. CSM is used by a variety of people, though it is hard to keep track because of the open source distribution, especially as packaged in ROS. If you use this software for something cool, let me know.
